Mais

Erro MCC-LiDAR: versão secundária fora do intervalo


Estou tentando usar a ferramenta MCC-LiDAR, mas não consigo fazer funcionar.

Exemplo, quando eu digito:

C: > mcc-lidar -s 1 -t 1 TMR_428_63.las output_filename.las

Eu recebi a seguinte mensagem de erro:

Erro interno do programa: versão secundária fora do intervalo

O que estou fazendo de errado? A versão do arquivo las que estou usando é 1.4.


Desculpe, este é o infeliz resultado de um software ficar desatualizado e não tenho certeza se você pode contornar isso sem reverter para uma versão anterior do LAS (1.1 - 1.3). Para citar especificações de LAS 1.4 "LAS 1.4 move a especificação de arquivo de uma estrutura de arquivo de 32 bits para uma estrutura de arquivo de 64 bits". Esta especificação do LAS também mudou para oferecer suporte às informações do pacote de forma de onda. Devido a esses problemas, o formato 1.4 não é compatível com o MCC, provavelmente devido a alterações nas definições do cabeçalho público.

O software MCC não está mais sendo desenvolvido ativamente, portanto, isso não é algo que será corrigido. É possível baixar o código-fonte e modificá-lo de acordo (deve haver apenas algumas mudanças em como o arquivo las é analisado). A solução alternativa que posso recomendar é reverter a versão dos dados para uma versão compatível do LAS.


Assista o vídeo: Fix Loadlibrary Failed With Error 1114: A Dynamic Link Library Dll Initialization Routine Failed (Outubro 2021).